Subject: Re: [PATCH v2 02/22] git-remote-mediawiki: Use the Readonly module instead of the constant pragma

From: Célestin Perdu <[email-masked]>
Date: Sat, 08 Jun 2013 15:01:03 +0200

Le 08/06/2013 05:23, Jeff King a écrit :
> What does this series apply on top of? The existing version in "master"
> does not have "use Readonly" in it at all. The first version of your
> series introduced that line, but here it is shown as an existing line.
> Did you miss a commit when putting your patches together?

Oh yes, part of this commit went into the previous one, which was not
formated as an email when I did my git-format-patch. I should check my
patches more carefully before sending them. Sorry for this.

> What advantage does this have over "use constant"? I do not mind
> following guidelines from perlcritic if they are a matter of style, but
> in this case there is a cost: we now depend on the "Readonly" module,
> which is not part of the standard distribution. I.e., users now have to
> deal with installing an extra dependency. Is it worth it?

Like Benoit said, the problem is that they sometimes don't interpolate.
I don't know if we should keep this commit or not.